import { h } from "@stencil/core";
export default {
  title: "Components/Payout Scroll Button",
};
const defaultProps = {
  payoutSettingsComplete: true,
};
export const CompletedTaxForm = () => (h("sqm-payout-button-scroll", { demoData: { states: { ...defaultProps, payoutSettingsComplete: true } } }));
export const CompletedTaxFormWithStatsContainer = () => (h("sqm-portal-container", { display: "flex", maxWidth: "100%", minWidth: "100%", "justify-content": "space-between", flexWrap: "nowrap" },
  h("sqm-portal-container", { display: "flex", "max-width": "fit-content" },
    h("sqm-big-stat", { "flex-reverse": "true", alignment: "left", "stat-type": "/referralsCount" },
      h("p", null, "Referrals")),
    h("sqm-big-stat", { "flex-reverse": "true", alignment: "left", "stat-type": "/payoutBalance" },
      h("p", null, "Cash Balance"))),
  h("sqm-payout-button-scroll", { demoData: { states: { ...defaultProps, payoutSettingsComplete: true } } })));
